#!/opt/homebrew/Caskroom/miniforge/base/envs/tf_38/bin/python
import torch
from torchvision.datasets import MNIST
import torchvision.transforms as transforms

# Normalize data with mean=0.5, std=1.0
mnist_transform = transforms.Compose([transforms.ToTensor(), transforms.Normalize((0.5,), (1.0,))])

download_root="./"

train_dataset=MNIST(download_root, transform=mnist_transform, train=True, download=True)
valid_dataset=MNIST(download_root, transform=mnist_transform, train=False, download=True)
test_dataset=MNIST(download_root, transform=mnist_transform, train=False, download=True)

DataLoader=torch.utils.data.DataLoader
# dataset loading
batch_size = 64
train_loader = DataLoader(dataset=train_dataset, batch_size=batch_size, shuffle=True)
valid_loader = DataLoader(dataset=test_dataset, batch_size=batch_size, shuffle=True)
test_loader = DataLoader(dataset=test_dataset, batch_size=batch_size, shuffle=True)
